Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Push Datasets - Datasets PostRows
- Service:
- Power BI REST APIs
- API Version:
- v1.0
Adds new data rows to the specified table within the specified dataset from My workspace.
Required Scope
Dataset.ReadWrite.All
Limitations
- This API call only supports push datasets.
- See Power BI REST API limitations.
POST https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}/tables/{tableName}/rows
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
datasetId
|
path | True |
string |
The dataset ID |
|
tableName
|
path | True |
string |
The table name |
Request Body
| Name | Type | Description |
|---|---|---|
| rows |
object[] |
An array of data rows pushed to a dataset table. Each element is a collection of properties represented using key-value format. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
Examples
Example
Sample request
POST https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/tables/Product/rows
- Request Body
{
"rows": [
{
"ProductID": 1,
"Name": "Adjustable Race",
"Category": "Components",
"IsCompete": true,
"ManufacturedOn": "07/30/2014"
},
{
"ProductID": 2,
"Name": "LL Crankarm",
"Category": "Components",
"IsCompete": true,
"ManufacturedOn": "07/30/2014"
},
{
"ProductID": 3,
"Name": "HL Mountain Frame - Silver",
"Category": "Bikes",
"IsCompete": true,
"ManufacturedOn": "07/30/2014"
}
]
}
Sample response
- Status code:
- 200
Definitions
PostRowsRequest
Object
| Name | Type | Description |
|---|---|---|
| rows |
object[] |
An array of data rows pushed to a dataset table. Each element is a collection of properties represented using key-value format. |
